# Class MBeanParameterInfo

java.lang.Object
javax.management.MBeanFeatureInfo
javax.management.MBeanParameterInfo

All Implemented Interfaces:
  `Serializable, Cloneable, DescriptorRead`

Direct Known Subclasses:
  `OpenMBeanParameterInfoSupport`

public class MBeanParameterInfo extends MBeanFeatureInfo implements Cloneable
Describes an argument of an operation exposed by an MBean. Instances of this class are immutable. Subclasses may be mutable but this is not recommended.

Since:
  1.5
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields declared in class MBeanFeatureInfo

  `description, name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MBeanParameterInfo(String name, String type, String description)`
  Constructs an `MBeanParameterInfo` object.
  `MBeanParameterInfo(String name, String type, String description, Descriptor descriptor)`
  Constructs an `MBeanParameterInfo` object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  Returns a shallow clone of this instance.
  `boolean`
  `equals(Object o)`
  Compare this MBeanParameterInfo to another.
  `String`
  `getType()`
  Returns the type or class name of the data.

  ### Methods declared in class MBeanFeatureInfo

  `getDescription, getDescriptor, getName`

  ### Methods declared in class Object

  `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MBeanParameterInfo

    public MBeanParameterInfo(String name, String type, String description)
    Constructs an `MBeanParameterInfo` object.
    Parameters:
      `name` - The name of the data
      `type` - The type or class name of the data
      `description` - A human readable description of the data. Optional.

  - ### MBeanParameterInfo

    public MBeanParameterInfo(String name, String type, String description, Descriptor descriptor)
    Constructs an `MBeanParameterInfo` object.
    Parameters:
      `name` - The name of the data
      `type` - The type or class name of the data
      `description` - A human readable description of the data. Optional.
      `descriptor` - The descriptor for the operation. This may be null which is equivalent to an empty descriptor.
    Since:
      1.6

- ## Method Details

  - ### clone

    public Object clone()

    Returns a shallow clone of this instance. The clone is obtained by simply calling `super.clone()`, thus calling the default native shallow cloning mechanism implemented by `Object.clone()`. No deeper cloning of any internal field is made.

    Since this class is immutable, cloning is chiefly of interest to subclasses.

    Overrides:
      `clone` in class `Object`
    Returns:
      a clone of this instance.
    See Also:
      - `Cloneable`

  - ### getType

    public String getType()
    Returns the type or class name of the data.
    Returns:
      the type string.

  - ### equals

    public boolean equals(Object o)
    Compare this MBeanParameterInfo to another.
    Overrides:
      `equals` in class `MBeanFeatureInfo`
    Parameters:
      `o` - the object to compare to.
    Returns:
      true if and only if `o` is an MBeanParameterInfo such that its `MBeanFeatureInfo.getName()`, `getType()`, `MBeanFeatureInfo.getDescriptor()`, and `MBeanFeatureInfo.getDescription()` values are equal (not necessarily identical) to those of this MBeanParameterInfo.
    See Also:
      - `Object.hashCode()`
      - `HashMap`